package td2jira.td.api;

import java.util.List;

public interface IBug extends ILifeCycle {
	String getStatus();
	void setStatus(String status);
	
	String getSummary();
	void setSummary(String summary);
	
	String getDescription();
	void setDescription(String desc);
	
	String getAssignedTo();
	void setAssignedTo(String assignedTo);

	String getDetectedBy();
	void setDetectedBy(String detectedBy);
	
	String getPriority();
	void setPriority(String priority);

	String getSeverity();
	void setSeverity(String severity);
	
	String getProject();
	String getId();
	
	boolean hasAttachments();
	List<String> getAttachmentsNames();
}
